## fcExp.zip

=== 1PhaseColorless/xenomai-2.5.1/ksrc/drivers/testing/Makefile ===
ifeq ($(PATCHLEVEL),6)

# Makefile frag for Linux v2.6

EXTRA_CFLAGS += -D__IN_XENOMAI__ -Iinclude/xenomai

obj-$(CONFIG_XENO_DRIVERS_TIMERBENCH) += xeno_timerbench.o
obj-$(CONFIG_XENO_DRIVERS_IRQBENCH)   += xeno_irqbench.o
obj-$(CONFIG_XENO_DRIVERS_SWITCHTEST) += xeno_switchtest.o
obj-$(CONFIG_XENO_DRIVERS_KLATENCY)   += xeno_klat.o
obj-$(CONFIG_XENO_DRIVERS_SIGTEST)    += xeno_sigtest.o

xeno_timerbench-y := timerbench.o

xeno_irqbench-y := irqbench.o

xeno_switchtest-y := switchtest.o

xeno_klat-y := klat.o

xeno_sigtest-y := sigtest_module.o

EXTRA_CFLAGS += -D__IN_XENOMAI__ -Iinclude/xenomai

else

# Makefile frag for Linux v2.4

O_TARGET := built-in.o

obj-$(CONFIG_XENO_DRIVERS_TIMERBENCH) += xeno_timerbench.o
obj-$(CONFIG_XENO_DRIVERS_IRQBENCH)   += xeno_irqbench.o
obj-$(CONFIG_XENO_DRIVERS_SWITCHTEST) += xeno_switchtest.o
obj-$(CONFIG_XENO_DRIVERS_KLATENCY)   += xeno_klat.o
obj-$(CONFIG_XENO_DRIVERS_SIGTEST)    += xeno_sigtest.o

xeno_timerbench-objs := timerbench.o

xeno_irqbench-objs := irqbench.o

xeno_switchtest-objs := switchtest.o

xeno_klat-objs := klat.o

xeno_sigtest-objs := sigtest_module.o

export-objs := $(xeno_timerbench-objs) $(xeno_irqbench-objs) \
	$(xeno_switchtest-objs) $(xeno_klat-objs) $(xeno_sigtest-objs)

EXTRA_CFLAGS += -D__IN_XENOMAI__ -I$(TOPDIR)/include/xenomai -I$(TOPDIR)/include/xenomai/compat

include $(TOPDIR)/Rules.make

xeno_timerbench.o: $(xeno_timerbench-objs)
	$(LD) -r -o $@ $(xeno_timerbench-objs)

xeno_irqbench.o: $(xeno_irqbench-objs)
	$(LD) -r -o $@ $(xeno_irqbench-objs)

xeno_switchtest.o: $(xeno_switchtest-objs)
	$(LD) -r -o $@ $(xeno_switchtest-objs)

xeno_klat.o: $(xeno_klat-objs)
	$(LD) -r -o $@ $(xeno_klat-objs)

xeno_sigtest.o: $(xeno_sigtest-objs)
	$(LD) -r -o $@ $(xeno_sigtest-objs)

endif

=== 1PhaseColorless/xenomai-2.5.1/ksrc/drivers/can/sja1000/Makefile ===
ifeq ($(PATCHLEVEL),6)

# Makefile frag for Linux v2.6

EXTRA_CFLAGS += -D__IN_XENOMAI__ -Iinclude/xenomai -Idrivers/xenomai/can -Idrivers/xenomai/can/sja1000

obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000) += xeno_can_sja1000.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_PEAK_PCI) += xeno_can_peak_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_PEAK_DNG) += xeno_can_peak_dng.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_IXXAT_PCI) += xeno_can_ixxat_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_EMS_PCI) += xeno_can_ems_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_ESD_PCI) += xeno_can_esd_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_ISA) += xeno_can_isa.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_MEM) += xeno_can_mem.o

xeno_can_sja1000-y := rtcan_sja1000.o rtcan_sja1000_proc.o
xeno_can_peak_pci-y := rtcan_peak_pci.o
xeno_can_peak_dng-y := rtcan_peak_dng.o
xeno_can_ixxat_pci-y := rtcan_ixxat_pci.o
xeno_can_ems_pci-y := rtcan_ems_pci.o
xeno_can_esd_pci-y := rtcan_esd_pci.o
xeno_can_isa-y := rtcan_isa.o
xeno_can_mem-y := rtcan_mem.o

else

# Makefile frag for Linux v2.4

O_TARGET := built-in.o

obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000) += xeno_can_sja1000.o 
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_PEAK_PCI) += xeno_can_peak_pci.o 
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_PEAK_DNG) += xeno_can_peak_dng.o 
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_IXXAT_PCI) += xeno_can_ixxat_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_EMS_PCI) += xeno_can_ems_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_ESD_PCI) += xeno_can_esd_pci.o
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_ISA) += xeno_can_isa.o 
obj-$(CONFIG_XENO_DRIVERS_CAN_SJA1000_MEM) += xeno_can_mem.o

list-multi := xeno_can_sja1000.o 

xeno_can_sja1000-objs := rtcan_sja1000.o rtcan_sja1000_proc.o
xeno_can_peak_pci-objs := rtcan_peak_pci.o
xeno_can_peak_dng-objs := rtcan_peak_dng.o
xeno_can_ixxat_pci-objs := rtcan_ixxat_pci.o
xeno_can_ems_pci-objs := rtcan_ems_pci.o
xeno_can_esd_pci-objs := rtcan_esd_pci.o
xeno_can_isa-objs := rtcan_isa.o
xeno_can_mem-objs := rtcan_mem.o

export-objs := $(xeno_can_sja1000-objs)

EXTRA_CFLAGS += -D__IN_XENOMAI__ -I$(TOPDIR)/include/xenomai -I$(TOPDIR)/include/xenomai/compat -I..  -I.

include $(TOPDIR)/Rules.make

xeno_can_sja1000.o: $(xeno_can_sja1000-objs)
	$(LD) -r -o $@ $(xeno_can_sja1000-objs)

xeno_can_peak_pci.o: $(xeno_can_peak_pci-objs)
	$(LD) -r -o $@ $(xeno_can_peak_pci-objs)

xeno_can_peak_dng.o: $(xeno_can_peak_dng-objs)
	$(LD) -r -o $@ $(xeno_can_peak_dng-objs)

xeno_can_ixxat_pci.o: $(xeno_can_ixxat_pci-objs)
	$(LD) -r -o $@ $(xeno_can_ixxat_pci-objs)

xeno_can_ems_pci.o: $(xeno_can_ems_pci-objs)
	$(LD) -r -o $@ $(xeno_can_ems_pci-objs)

xeno_can_esd_pci.o: $(xeno_can_esd_pci-objs)
	$(LD) -r -o $@ $(xeno_can_esd_pci-objs)

xeno_can_isa.o: $(xeno_can_isa-objs)
	$(LD) -r -o $@ $(xeno_can_isa-objs)

xeno_can_mem.o: $(xeno_can_mem-objs)
	$(LD) -r -o $@ $(xeno_can_mem-objs)
endif

=== 1PhaseColorless/xenomai-2.5.1/debian/changelog ===
xenomai (2.4.4-3) unstable; urgency=low

  * debian/rules: Fixed concurrent ./configure + make runs, thanks to Albin
    Tonnerre (Closes: #486461)

 -- Roland Stigge <stigge@antcom.de>  Mon, 16 Jun 2008 11:44:01 +0200

xenomai (2.4.4-2) unstable; urgency=low

  * Backported kernel 2.6.24 patches for x86, powerpc and arm (for lenny) from
    xenomai 2.4.3
  * debian/control: Standards-Version: 3.8.0

 -- Roland Stigge <stigge@antcom.de>  Thu, 12 Jun 2008 14:27:12 +0200

xenomai (2.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules: configure --enable-arm-mach=generic for ARM
  * debian/control: Standards-Version: 3.8.0

 -- Roland Stigge <stigge@antcom.de>  Mon, 09 Jun 2008 14:28:01 +0200

xenomai (2.4.4~svn20080526-1) experimental; urgency=low

  * New upstream snapshot

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 May 2008 11:58:30 +0200

xenomai (2.4.3-7) unstable; urgency=low

  * Included patch from Riku Voipio to fix ARM compile issues
    (Closes: #477720)

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Apr 2008 23:18:01 +0200

xenomai (2.4.3-6) unstable; urgency=low

  * Added lintian override for recursive include directories (necessary
    according to upstream)
  * Added missing man pages (can be removed when integrated upstream)
  * debian/rules: Fixed klatency/run script to be proper shell script

 -- Roland Stigge <stigge@antcom.de>  Tue, 22 Apr 2008 12:23:22 +0200

xenomai (2.4.3-5) unstable; urgency=low

  * Install xeno-config into libxenomai-dev where the executable is

 -- Roland Stigge <stigge@antcom.de>  Sat, 19 Apr 2008 22:15:07 +0200

xenomai (2.4.3-4) unstable; urgency=low

  * Move /usr/lib/xenomai to original upstream /usr/share/xenomai

 -- Roland Stigge <stigge@antcom.de>  Fri, 18 Apr 2008 19:51:49 +0200

xenomai (2.4.3-3) unstable; urgency=low

  * debian/rules: Separated prepare-patch.sh calls for individual
    architectures (Closes: #473098)

 -- Roland Stigge <stigge@antcom.de>  Thu, 10 Apr 2008 10:01:33 +0200

xenomai (2.4.3-2) unstable; urgency=low

  * Enable x86 patches for both i386 and amd64 (Closes: #473098)

 -- Roland Stigge <stigge@antcom.de>  Tue, 01 Apr 2008 10:04:51 +0200

xenomai (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Mar 2008 14:13:50 +0100

xenomai (2.4.2-3) unstable; urgency=low

  * Fixed bashisms by using "#!/bin/bash" (Closes: #471871)

 -- Roland Stigge <stigge@antcom.de>  Sat, 22 Mar 2008 17:01:11 +0100

xenomai (2.4.2-2) unstable; urgency=low

  * debian/copyright: Refined Copyrights
  * debian/control: Added ia64 to remaining relevant Architecture lines
  * debian/rules: Moved DEBIAN/rules adjustment for architecture independent
    target to arch-indep target

 -- Roland Stigge <stigge@antcom.de>  Thu, 28 Feb 2008 20:55:23 +0100

xenomai (2.4.2-1) unstable; urgency=low

  * Initial revision for the Debian Archive
  * debian/control:
    - Reorganized binary package structure
    - Standards-Version: 3.7.3

 -- Roland Stigge <stigge@antcom.de>  Wed, 20 Feb 2008 18:06:49 +0100

xenomai (2.4.0-0+rc6) unstable; urgency=low

  * Update prepare-patch.sh to use combined x86/i386 Xenomai tree.
  * Split patch generation out of build-stamp so that it only gets
    called once along with the configure.
  * In pursuit of silencing lintian:
    * Rename top level ChangeLog to changelog when installed.
    * Add ldconfig to post install/remove scripts.
    * Compress changelogs.

 -- Paul Corner <paul_c@gna.org>  Wed, 14 Nov 2007 21:48:27 +0000

xenomai (2.3.50-05+r2299) unstable; urgency=low

  * Add top level ChangeLog and CREDITS to each package.
  * rebuilt from SVN tag 2299

 -- Paul Corner <paul_c@gna.org>  Thu, 15 Mar 2007 11:03:14 +0000

xenomai (2.3.50-04) unstable; urgency=low

  * Remove demo & snippets from the patches - Installed in xenomai-dev
  * linux-patches-xenomai lists patches, architectures, & kernel version
    in the package description meta-data.

 -- Paul Corner <paul_c@gna.org>  Mon, 12 Mar 2007 17:30:00 +0000

xenomai (2.3.50-03) unstable; urgency=low

  * Revision 2281
  * Fix bug in postinst script - Need to overwrite the symlink

 -- Paul Corner <paul_c@gna.org>  Sun, 11 Mar 2007 20:30:00 +0000

xenomai (2.3.50-02) unstable; urgency=low

  * Apply patch to fix includedir bug - rules updated..
  * debian/ contents added to EXTRA_DIST.

 -- Paul Corner <paul_c@gna.org>  Wed,  7 Mar 2007 23:29:00 +0000

xenomai (2.3.50-01) unstable; urgency=low

  * Initial build.
  * General notes: prepare-patch.sh generates a per-kernel/arch
    for use with kernel-package - A single patch is needed for
    apply/unapply steps. The scripts/prepare-kernel.sh appends a
    few lines to some Makefiles which would cause problems on the
    unapply stage.

 -- Paul Corner <paul_c@gna.org>  Sat,  3 Mar 2007 12:00:00 +0000

=== 1PhaseColorless/xenomai-2.5.1/debian/control ===
Source: xenomai
Section: devel
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 5), dh-kpatches, findutils (>= 4.2.28)
Standards-Version: 3.8.0
Homepage: http://www.xenomai.org/

Package: xenomai-runtime
Section: devel
Architecture: amd64 arm armeb armel i386 powerpc
Depends: ${shlibs:Depends}
Suggests: linux-patch-xenomai, xenomai-doc
Replaces: xenomai
Conflicts: xenomai
Description: Xenomai runtime utilities
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains the runtime programs and the testsuite for the Xenomai
 realtime system.

Package: linux-patch-xenomai
Section: devel
Architecture: all
Depends: ${kpatch:Depends}
Suggests: xenomai, linux-source-2.6, kernel-package
Description: Linux kernel patches for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains patches for 2.6 series kernels - These are intended for
 use with kernel-package and a virgin Linux source tree. Note: These patches
 include the base adeos-ipipe patch along with all the additional material
 normally added by the prepare-kernel.sh script.
 .
 This package contains the following patches:
 .

Package: libxenomai1
Section: libs
Architecture: amd64 arm armeb armel i386 powerpc
Depends: ${shlibs:Depends}
Suggests: linux-patch-xenomai, xenomai-doc
Replaces: xenomai
Conflicts: xenomai
Description: Shared libraries for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains the shared libraries.

Package: libxenomai-dev
Section: libdevel
Architecture: amd64 arm armeb armel i386 powerpc
Depends: libxenomai1 (= ${binary:Version})
Suggests: linux-patch-xenomai, xenomai-doc
Replaces: xenomai
Conflicts: xenomai
Description: Headers and static libs for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains development files (header files), the static libraries
 and scripts used to compile realtime applications.

Package: xenomai-doc
Section: doc
Architecture: all
Depends:
Suggests: xenomai
Conflicts: xenomai-docs
Replaces: xenomai-docs
Description: Xenomai documentation
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 Documentation for Xenomai realtime API.

=== 1PhaseColorless/xenomai-2.5.1/debian/rules ===
#!/usr/bin/make -f

# Author: Paul Corner <paul_c@gna.org>
# Created on: Sat Mar 3 12:00 GMT 2007
# License: GPL Ver. 2

#export DH_VERBOSE=1

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_HOST_ARCH), i386)
# Note: Would like to use --includedir=/usr/include/xenomai, but
# there appears to be a `make install` problem.
	CONFIG_OPTS = \
	            --enable-x86-tsc
endif
ifeq ($(DEB_HOST_ARCH), amd64)
	CONFIG_OPTS = \
	            --enable-smp \
	            --enable-x86-tsc \
	            --enable-x86-sep
endif
ifeq ($(DEB_HOST_ARCH), powerpc)
	CONFIG_OPTS =
endif
ifeq ($(DEB_HOST_ARCH), armeb)
	CONFIG_OPTS = --enable-arm-mach=generic --enable-arm-eabi
endif
ifeq ($(DEB_HOST_ARCH), armel)
	CONFIG_OPTS = --enable-arm-mach=generic --enable-arm-eabi
endif
ifeq ($(DEB_HOST_ARCH), arm)
	CONFIG_OPTS = --enable-arm-mach=generic
endif
	CONFIG_OPTS += --prefix=/usr \
	            --includedir=/usr/include/xenomai \
	            --mandir=/usr/share/man \

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CONFIG_OPTS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
	CONFIG_OPTS += --build $(DEB_BUILD_GNU_TYPE)
endif

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status patch-stamp
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	touch build-indep-stamp

patch-stamp:
	dh_testdir
	cp debian/linux-patch-xenomai.kpatches.in debian/linux-patch-xenomai.kpatches
	for i in arm i386 powerpc x86_64 x86 ; do \
		bash $(CURDIR)/debian/prepare-patch.sh $$i ; \
	done
	touch patch-stamp

config.status: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(CONFIG_OPTS)
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	dh_clean
	if test -f Makefile ; then \
	    $(MAKE) distclean ; \
	fi
	rm -fR $(CURDIR)/tmp
	rm -f $(CURDIR)/*.patch
	rm -f $(CURDIR)/debian/*.kpatches

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	# xeno-config should be only in libxenomai-dev
	rm -f $(CURDIR)/debian/xenomai-runtime/usr/bin/xeno-config
	rm -f $(CURDIR)/debian/xenomai-runtime/usr/share/man/man1/xeno-config.1
	for f in $(CURDIR)/ksrc/nucleus/udev/*.rules ; do \
	    cat $$f >> $(CURDIR)/debian/libxenomai1/etc/udev/xenomai.rules ; \
	done
	# remove empty directory
	rm -rf $(CURDIR)/debian/xenomai-doc/usr/share/doc/xenomai-doc/ps
	cp debian/libxenomai1.lintian $(CURDIR)/debian/libxenomai1/usr/share/lintian/overrides/libxenomai1
	cp debian/libxenomai-dev.lintian $(CURDIR)/debian/libxenomai-dev/usr/share/lintian/overrides/libxenomai-dev
	dh_installkpatches

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -A CREDITS README.INSTALL TROUBLESHOOTING
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
#	 Here follows a little hackery to insert the patch list        
#	 into the control file for linux-patch-xenomai
	cat $(CURDIR)/debian/linux-patch-xenomai.kpatches | \
	    sed -e 's/^$$/./;s/^/ /' >> \
	        $(CURDIR)/debian/linux-patch-xenomai/DEBIAN/control
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installman -s
	dh_installdocs -s -A CREDITS README.INSTALL TROUBLESHOOTING
	dh_installchangelogs -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
#	 Echo config options to control.
	echo " ." >> $(CURDIR)/debian/libxenomai1/DEBIAN/control
	echo " Compiled with the following options." >> \
	        $(CURDIR)/debian/libxenomai1/DEBIAN/control
	echo "$(CONFIG_OPTS)" | awk '{ for ( i=1 ; i<=NF ; i++ ) print "   "$$i }' >> \
	        $(CURDIR)/debian/libxenomai1/DEBIAN/control
#	 End of hackery.
	dh_md5sums -s
	dh_builddeb -s

# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
